Bug 1814190 - Please split binary packages for utilities and daemon
Summary: Please split binary packages for utilities and daemon
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: conntrack-tools
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Paul P Komkoff Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-17 10:29 UTC by Luca BRUNO
Modified: 2022-05-23 17:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github coreos fedora-coreos-tracker issues 404 0 None open Kubernetes requires conntrack binary 2021-02-19 16:46:51 UTC

Description Luca BRUNO 2020-03-17 10:29:50 UTC
This is a followup from https://github.com/coreos/fedora-coreos-tracker/issues/404.

The conntrack-tools currently ships contains three components:
 * conntrack (CLI utility)
 * conntrackd (daemon)
 * nfct (CLI utility)

For Fedora CoreOS, it would be helpful to split the service into its own binary package. While at it, possibly nfct too.

Comment 1 Ben Cotton 2020-08-11 15:26:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 Christian Glombek 2020-12-01 07:29:06 UTC
Still unresolved in rawhide, switching back.

Comment 3 Ben Cotton 2021-02-09 16:15:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 4 Ben Cotton 2022-05-12 15:31:10 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 5 Christian Glombek 2022-05-23 17:10:51 UTC
still unresolved AFAIK, switching back to rawhide


Note You need to log in before you can comment on or make changes to this bug.